<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejemplo 1</title>
	<script type="text/javascript">
		//crear e inicializar un array
		
		//let a=new Array(
		//	1,2,3,4,5,6,7,8,9,0
		//);
		
		let b=[
			1,2,3,4,5,6,7,8,9,0
		];
		
		let c=0; //crear variable contador
		let numero=0; //crear variable leer dato

		//quiero recorrer el array para meter 10 números, introducir elementos en array
		
		c=0; //comienzo
		//recorriendo array, mejor no usar while con array, utilizar for
		while(c<b.length){
			b[c]=Math.trunc(Math.random()*100); //saca numeros entre 0 y 1. multiplicamos por 100 para conseguir números entre 0 y 100
			c++;
		};

		//bucle for, mejor para recorrer array, sin condiciones
		for(c=0;c<b.length;c++){
			b[c]=Math.trunc(Math.random()*100);
		}

		//mostrar el array para pruebas
		console.log(b);
		document.write(b);

		//recorrer array para sacar datos en pantalla
		for(c=0;c<b.length;c++){
			document.write(b[c] + "<br>");
		}

	</script>
</head>
<body>
	
</body>
</html>